Results 1 to 8 of 8

Thread: webmin on Ubuntu 10.04

  1. #1
    Join Date
    Mar 2010
    Beans
    4

    webmin on Ubuntu 10.04

    Hi there

    Trying to install webmin on Ubuntu 10.04 I get a problem with libmd5-perl. Anyone out there has run into this problem? What is the solution to fix this missing package. It says that the package is not available.

    Thanks

  2. #2
    Join Date
    Jul 2009
    Beans
    4
    Distro
    Ubuntu 9.10 Karmic Koala

    Re: webmin on Ubuntu 10.04

    Since my laptop always connect to the internet, there's no problem with that :d

  3. #3
    Join Date
    Apr 2008
    Location
    Northern Michigan
    Beans
    13
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: webmin on Ubuntu 10.04

    me as well. I had installed clean at work on a dev server, and ran into some similar issues, but after doing 'sudo apt-get install webmin' it told me dependency errors, do a -f install.

    I did this, and it worked.

    But now at home, I'm trying a 9.10 -> 10.04 upgrade, but the same procedure is not working, saying I have no install candidate for both, when I try and install libmd5-perl and webmin.

    So you know, I did not have webmin on my server previously. This is a new load, 9.10 clean, then upgrade to 10.04. I may try a clean 10.04 now, if we don't get a solution soon.

  4. #4
    Join Date
    Apr 2008
    Location
    Northern Michigan
    Beans
    13
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: webmin on Ubuntu 10.04

    found a solution:

    on this thread:
    HTML Code:
    http://ohioloco.ubuntuforums.org/showthread.php?t=1433581
    there's a link to the download of libmd5-perl for jaunty, but also karmic. So I went to the karmic page, did a download:

    Code:
    wget http://mirrors.kernel.org/ubuntu/pool/universe/libm/libmd5-perl/libmd5-perl_2.03-1_all.deb
    then, install libmd5-perl;

    Code:
    sudo dpkg -i libmd5-perl_2.03-1_all.deb
    then, install webmin;

    Code:
    sudo dpkg -i webmin_1.510_all.deb
    It now installs webmin, and is working correctly.

  5. #5
    Join Date
    Feb 2009
    Location
    North Carolina
    Beans
    5
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: webmin on Ubuntu 10.04

    I am also trying to install webmin on Ubuntu 10.04 server but I get a dependency error of webmin depends on apt-show-versions. How do I fix this?

  6. #6
    Join Date
    Jan 2010
    Location
    California
    Beans
    34
    Distro
    Ubuntu 9.10 Karmic Koala

    Re: webmin on Ubuntu 10.04

    Quote Originally Posted by penguin_patrick View Post
    found a solution:

    on this thread:
    HTML Code:
    http://ohioloco.ubuntuforums.org/showthread.php?t=1433581
    there's a link to the download of libmd5-perl for jaunty, but also karmic. So I went to the karmic page, did a download:

    Code:
    wget http://mirrors.kernel.org/ubuntu/pool/universe/libm/libmd5-perl/libmd5-perl_2.03-1_all.deb
    then, install libmd5-perl;

    Code:
    sudo dpkg -i libmd5-perl_2.03-1_all.deb
    then, install webmin;

    Code:
    sudo dpkg -i webmin_1.510_all.deb
    It now installs webmin, and is working correctly.
    Thanks, was having this same problem on 10.04 Server

  7. #7
    Join Date
    Jun 2007
    Location
    Belgium
    Beans
    Hidden!

    Re: webmin on Ubuntu 10.04

    Yep, me too. Thanks for the solution.

  8. #8
    Join Date
    Oct 2007
    Beans
    2

    Re: webmin on Ubuntu 10.04

    Quote Originally Posted by computerman88 View Post
    I am also trying to install webmin on Ubuntu 10.04 server but I get a dependency error of webmin depends on apt-show-versions. How do I fix this?
    I had this and ran:

    Code:
    sudo apt-get -f install

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •